=== debian/changelog ===
openssl (3.0.17-1~deb12u3) bookworm-security; urgency=medium

  * CVE-2025-9230 (Out-of-bounds read & write in RFC 3211 KEK Unwrap)
  * CVE-2025-9232 (Out-of-bounds read in HTTP client no_proxy handling)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 26 Sep 2025 20:59:22 +0200

openssl (3.0.17-1~deb12u2) bookworm; urgency=medium

  * Revert the following upstream changes to avoid crashes in downstream
    software:
    - 7141330fb98ce ("Drop "by store"'s by_store_subject_ex()")
    - 340383f5f49f8 ("Rework the "by store" X509_LOOKUP method to open the given URI early")
    - a468bdb02531e ("Add test_verify tests")
    Closes: #1110254

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 05 Aug 2025 09:09:41 +0200

openssl (3.0.17-1~deb12u1) bookworm; urgency=medium

  * Import 3.0.17

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 13 Jul 2025 14:39:08 +0200
