## openssl 3.0.18

=== debian/changelog ===
openssl (3.0.18-1~deb12u2) bookworm-security; urgency=medium

  * CVE-2025-15467 (Stack buffer overflow in CMS AuthEnvelopedData parsing)
  * CVE-2025-68160 (Heap out-of-bounds write in BIO_f_linebuffer on short
    writes)
  * CVE-2025-69418 (Unauthenticated/unencrypted trailing bytes with low-level
    OCB function calls)
  * CVE-2025-69419 (Out of bounds write in PKCS12_get_friendlyname() UTF-8
    conversion)
  * CVE-2025-69420 (Missing ASN1_TYPE validation in TS_RESP_verify_response()
    function)
  * CVE-2025-69421 (NULL Pointer Dereference in PKCS12_item_decrypt_d2i_ex
    function)
  * CVE-2026-22795 (Missing ASN1_TYPE validation in PKCS#12 parsing)
  * CVE-2026-22796 (ASN1_TYPE Type Confusion in the
    PKCS7_digest_from_attributes() function)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 24 Jan 2026 16:01:59 +0100

openssl (3.0.18-1~deb12u1) bookworm; urgency=medium

  * Import 3.0.18

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 01 Nov 2025 12:54:37 +0100
