## openssl 3.0.19

=== debian/changelog ===
openssl (3.0.19-1~deb12u1) bookworm; urgency=medium

  * Import 3.0.19

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 22 Feb 2026 18:36:50 +0100
