=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 SHELL=/bin/bash
 
 package=openssl
+library_package=libssl3t64
 
 # For generating the manpages
 export VERSION=$(DEB_VERSION_UPSTREAM)
@@ -148,9 +149,13 @@
 override_dh_compress:
 	dh_compress
 	# symlink doc files
+	# We used to also add symlinks to changelog.gz but pkgstripfiles from
+	# pkgbinarymangler will remove the real changelog.gz file and break all the
+	# symlinks. Ignore changelog, it will end up as wanted.
+	# NB: pkgstripfiles is not done in PPAs
 	for p in openssl libssl-dev; do \
-	  for f in changelog.Debian.gz changelog.gz copyright; do \
-	    ln -sf ../libssl3/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  for f in changelog.Debian.gz copyright; do \
+	    ln -sf ../$(library_package)/$$f debian/$$p/usr/share/doc/$$p/$$f; \
 	  done; \
 	done
 
@@ -161,5 +166,5 @@
 	dh_makeshlibs -a -V --add-udeb="libcrypto3-udeb" -Xengines -Xossl-modules -- -c4
 
 override_dh_shlibdeps:
-	sed -i '/^udeb: libssl/s/libcrypto3-udeb/libssl3-udeb/' debian/libssl3t64/DEBIAN/shlibs
-	dh_shlibdeps -a -L libssl3t64
+	sed -i '/^udeb: libssl/s/libcrypto3-udeb/libssl3-udeb/' debian/$(library_package)/DEBIAN/shlibs
+	dh_shlibdeps -a -L $(library_package)
