=== debian/changelog ===
openssl (3.3.1-2ubuntu2.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Low-level invalid GF(2^m) parameters lead to OOB
    memory access
    - debian/patches/CVE-2024-9143.patch: harden BN_GF2m_poly2arr against
      misuse in crypto/bn/bn_gf2m.c, test/ec_internal_test.c.
    - CVE-2024-9143
  * SECURITY UPDATE: A timing side-channel which could potentially allow
    recovering the private key exists in the ECDSA signature computation
    - debian/patches/CVE-2024-13176.patch: Fix timing side-channel in
      ECDSA signature computation in crypto/bn/bn_exp.c,
      crypto/ec/ec_lib.c, include/crypto/bn.h.
    - CVE-2024-13176
  * SECURITY UPDATE: RFC7250 handshakes with unauthenticated servers don't
    abort as expected
    - debian/patches/CVE-2024-12797-1.patch: with SSL_VERIFY_PEER client
      RPK should abort on X509 error in ssl/statem/statem_clnt.c,
      test/rpktest.c.
    - debian/patches/CVE-2024-12797-2.patch: use ERR marks also when
      verifying server X.509 certs in ssl/statem/statem_clnt.c,
      test/rpktest.c.
    - CVE-2024-12797
  * debian/patches/issue26466.patch: restore correct registers in aarch64
    AES-CTR code in crypto/aes/asm/aesv8-armx.pl.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Feb 2025 07:56:37 -0500

openssl (3.3.1-2ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: Possible denial of service in X.509 name checks
    - debian/patches/CVE-2024-6119.patch: avoid type errors in EAI-related
      name check logic in crypto/x509/v3_utl.c, test/*.
    - CVE-2024-6119
  * Add Ubuntu-specific defines to help FIPS certification (LP: #2073991)
    - UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
    - UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 11 Sep 2024 16:09:42 +0200

openssl (3.3.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2044795). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - patch: crypto: Add kernel FIPS mode detection
    - patch: crypto: Automatically use the FIPS provider...
    - patch: apps/speed: Omit unavailable algorithms in FIPS mode
    - patch: apps: pass -propquery arg to the libctx DRBG fetches
    - patch: test: Ensure encoding runs with the correct context...
    - SECURITY UPDATE: crash or memory disclosure via SSL_select_next_proto
      - debian/patches/CVE-2024-5535*.patch: validate provided client list in
        ssl/ssl_lib.c.
      - CVE-2024-5535

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 12 Aug 2024 13:49:56 +0200

openssl (3.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add support for hurd-amd64, patch by Samuel Thibault (Closes: #1076324).
  * Use the static archive from the shared build.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 Aug 2024 16:17:50 +0200

openssl (3.3.1-1) experimental; urgency=medium

  * Import 3.3.1.
    - CVE-2024-4603 (Excessive time spent checking DSA keys and parameters)
      (Closes: #1071972).
    - CVE-2024-4741 (Use After Free with SSL_free_buffers)
      (Closes: #1072113).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 04 Jun 2024 18:37:30 +0200

openssl (3.2.2-1ubuntu3) oracular; urgency=medium

  * Added extra commits to previous upload to fix FTBFS in quic tests
    - debian/patches/CVE-2024-5535-2.patch: more correctly handle a
      selected_len of 0 when processing NPN in ssl/statem/extensions_clnt.c.
    - debian/patches/CVE-2024-5535-3.patch: use correctly formatted ALPN
      data in tserver in ssl/quic/quic_tserver.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Aug 2024 07:41:40 -0400

openssl (3.2.2-1ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: crash or memory disclosure via SSL_select_next_proto
    - debian/patches/CVE-2024-5535.patch: validate provided client list in
      ssl/ssl_lib.c.
    - CVE-2024-5535

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 31 Jul 2024 13:16:18 -0400
