=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://www.openssl.org/source/ openssl-(3.3.*).tar.gz
