## openssl 3.4.0~~beta1

=== debian/changelog ===
openssl (3.4.0~~beta1-1) experimental; urgency=medium

  * Import 3.4.0-beta1

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 07 Oct 2024 23:03:28 +0200
